> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook event types

> Returns a list of all available webhook event types.



## OpenAPI

````yaml /autogenerated/openapi/cis-webhooks.openapi.json get /webhooks/event-types
openapi: 3.1.0
info:
  title: CIS Webhooks API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /webhooks/event-types:
    get:
      tags:
        - Webhooks
      summary: List webhook event types
      description: Returns a list of all available webhook event types.
      operationId: findAllWebhookEventTypes
      parameters:
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - array
                items:
                  type:
                    - object
                  properties:
                    id:
                      description: The ID of the webhook event type to work with.
                      type:
                        - string
                      format: uuid
                      example: da91434a-4026-42ea-84b8-d0317b64af9c
                    name:
                      type:
                        - string
                      maxLength: 256
                      description: Webhook event name.
                      example: AccountCreated
                    enabled:
                      type:
                        - boolean
                      description: >-
                        Webhook event type availability (whether the webhook is
                        enabled or not).
                      example: true
                    createdAt:
                      type:
                        - string
                      format: date-time
                      description: >-
                        The date the Resource was initially created. ISO 8601
                        format without milliseconds.
                    updatedAt:
                      type:
                        - string
                      format: date-time
                      description: >-
                        The date the Resource was last modified. ISO 8601 format
                        without milliseconds.
                  required:
                    - id
                    - name
                    - enabled
                    - createdAt
                    - updatedAt
                example:
                  - id: da91434a-4026-42ea-84b8-d0317b64af9c
                    name: AccountCreated
                    enabled: true
                    createdAt: '2019-08-24T14:15:22Z'
                    updatedAt: '2019-08-24T14:15:22Z'
      security:
        - CommonAuth:
            - webhooks:read:own
            - webhooks:read:any
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````